aboutsummaryrefslogtreecommitdiff
path: root/install.sh
diff options
context:
space:
mode:
authorDuncaen <mail@duncano.de>2017-06-14 00:15:52 +0200
committerDuncaen <mail@duncano.de>2017-06-14 00:15:52 +0200
commit52bbcf8b0739dce2b225d96378d791fb9fb86b5b (patch)
tree7ec2f75470381fbc00afb39c12e99b122ddba916 /install.sh
parent6be6e04f53e44d979a68ddeecb1748ce6ba1103e (diff)
downloaddotfiles-52bbcf8b0739dce2b225d96378d791fb9fb86b5b.tar.gz
add: kshrc
Diffstat (limited to 'install.sh')
-rwxr-xr-xinstall.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/install.sh b/install.sh
index 70bac06..4cb6304 100755
--- a/install.sh
+++ b/install.sh
@@ -40,6 +40,11 @@ _mksh() {
msg "INSTALL" "mksh config"
_ln_home "mkshrc" ".mkshrc"
}
+_ksh() {
+ [ -n "$(command -v ksh 2>/dev/null)" ] || return
+ msg "INSTALL" "ksh config"
+ _ln_home "kshrc" ".kshrc"
+}
_yash() {
[ -n "$(command -v yash 2>/dev/null)" ] || return
msg "INSTALL" "yash config"
@@ -90,6 +95,7 @@ _gtk() {
: ${HOME:=~}
_mksh
+_ksh
_yash
_shell
_bin